engineconfig_struct Struct Reference

`#include <cfg.h>`

## Data Fields

listener_type * | interfaces
hsm_repository_t * | repositories
const char * | cfg_filename
const char * | zonelist_filename
const char * | log_filename
const char * | pid_filename
const char * | notify_command
const char * | clisock_filename
const char * | working_dir
const char * | username
const char * | group
const char * | chroot
int | use_syslog
int | num_worker_threads
int | num_signer_threads
int | verbosity

## Detailed Description

Engine configuration.

Definition at line 45 of file cfg.h.

## Field Documentation

## cfg_filename

const char* engineconfig_struct::cfg_filename

Definition at line 48 of file cfg.h.

Referenced by engine_config(), engine_config_check(), and engine_config_cleanup().

## chroot

const char* engineconfig_struct::chroot

Definition at line 57 of file cfg.h.

Referenced by engine_config(), engine_config_cleanup(), and engine_config_print().

## clisock_filename

const char* engineconfig_struct::clisock_filename

Definition at line 53 of file cfg.h.

Referenced by engine_config(), engine_config_check(), engine_config_cleanup(), and engine_start().

## group

const char* engineconfig_struct::group

Definition at line 56 of file cfg.h.

Referenced by engine_config(), engine_config_cleanup(), and engine_config_print().

## interfaces

listener_type* engineconfig_struct::interfaces

Definition at line 46 of file cfg.h.

Referenced by engine_config(), engine_config_check(), engine_config_cleanup(), and engine_config_print().

## log_filename

const char* engineconfig_struct::log_filename

Definition at line 50 of file cfg.h.

Referenced by engine_config(), engine_config_cleanup(), and engine_config_print().

## notify_command

const char* engineconfig_struct::notify_command

Definition at line 52 of file cfg.h.

Referenced by engine_config(), engine_config_cleanup(), engine_config_print(), and engine_update_zones().

## num_signer_threads

int engineconfig_struct::num_signer_threads

Definition at line 60 of file cfg.h.

Referenced by engine_cleanup(), engine_config(), and engine_config_print().

## num_worker_threads

int engineconfig_struct::num_worker_threads

Definition at line 59 of file cfg.h.

Referenced by engine_cleanup(), engine_config(), and engine_config_print().

## pid_filename

const char* engineconfig_struct::pid_filename

Definition at line 51 of file cfg.h.

Referenced by engine_config(), engine_config_cleanup(), and engine_start().

## repositories

hsm_repository_t* engineconfig_struct::repositories

Definition at line 47 of file cfg.h.

Referenced by engine_config(), engine_config_cleanup(), and engine_start().

## use_syslog

int engineconfig_struct::use_syslog

Definition at line 58 of file cfg.h.

Referenced by engine_config(), and engine_config_print().

## username

const char* engineconfig_struct::username

Definition at line 55 of file cfg.h.

Referenced by engine_config(), engine_config_cleanup(), and engine_config_print().

## verbosity

int engineconfig_struct::verbosity

Definition at line 61 of file cfg.h.

Referenced by engine_config().

## working_dir

const char* engineconfig_struct::working_dir

Definition at line 54 of file cfg.h.

Referenced by engine_config(), engine_config_cleanup(), and engine_config_print().

## zonelist_filename

const char* engineconfig_struct::zonelist_filename

Definition at line 49 of file cfg.h.

Referenced by engine_config(), engine_config_check(), engine_config_cleanup(), engine_config_print(), and engine_start().

The documentation for this struct was generated from the following file:

- src/daemon/cfg.h